joomla4 mit bootstrap 5Es ist eine mutige Entscheidung, sicher aber für die zukünftige Weiterentwicklung von Joomla von Vorteil: Es wurde jetzt, das heisst kurz bevor die der erste Release Candidate von Joomla 4.0 erscheinen soll, entschieden, von Bootstrap 4 auf das noch nicht fertig entwickelte Bootstrap 5 umzusteigen.

Für Entwickler von Erweiterungen, die auf Bootstrap angewiesen sind, hat dieser Entscheid einschneidende Konsequenzen (Bootstrap 5 wird z.B. kein JQuery mehr beinhalten). Entsprechend sind die Reaktionen durchmischt.

Akeeba Backup beispielsweise hat angekündigt, die Kompatibilität zu Joomla 4 nicht mehr weiter entwickeln zu wollen, bis die Situation geklärt ist:

akeeba statement

Mehr Details gibt es auf der Seite vom Joomla Developer Network, oder in Deutsch auf der Seite von JoomlaInfo.